<?xml version="1.0" encoding="UTF-8"?>
<formats xmlns="http://schemas.sulu.io/media/formats"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://schemas.sulu.io/media/formats http://schemas.sulu.io/media/formats-1.1.xsd">

    <!-- See: http://docs.sulu.io/en/latest/book/image-formats.html how to define image-formats -->

    
    <format key="300x">
        <meta>
            <title lang="es">Imagen w-300</title>
        </meta>
        <scale x="300"/>
    </format>
    <format key="920x">
        <meta>
            <title lang="es">Imagen w-920</title>
        </meta>
        <scale x="920"/>
    </format>
    <!-- Max width and max height -->
    <format key="300x200-inset">
        <meta>
            <title lang="es">Imagen 300*200</title>
        </meta>
        <scale x="300" y="200" mode="inset"/>
        <!-- agregar comprecion a un tipo determinado
        <options>
            <option name="jpeg_quality">80</option>
            <option name="webp_quality">80</option>
            <option name="png_compression_level">6</option>
        </options> 
        -->

        <!--agregar efecto Grayscale
        <transformations>
            <transformation>
                <effect>grayscale</effect>
            </transformation>
        </transformations> 
         -->
    </format>
    <!--
    Render an image from the media_selection in a specific format the following way:

    <img src="{{ image.thumbnails['300x'] }}" alt="{{ image.title }}" title="{{ image.description|default(image.title) }}">
    -->
</formats>
